[ARVADOS] updated: 936913bfe8ce236a134f3f0279364d48e395fe83

Git user git at public.curoverse.com
Wed Sep 14 16:34:11 EDT 2016


Summary of changes:
 build/run-tests.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

  discards  e089b17201ad5c02ea0d39a586c72388b859577d (commit)
       via  936913bfe8ce236a134f3f0279364d48e395fe83 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (e089b17201ad5c02ea0d39a586c72388b859577d)
            \
             N -- N -- N (936913bfe8ce236a134f3f0279364d48e395fe83)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 936913bfe8ce236a134f3f0279364d48e395fe83
Author: Tom Clegg <tom at curoverse.com>
Date:   Wed Sep 14 16:34:05 2016 -0400

    9986: Retry (up to 2 times) any python test suite killed by SIGKILL.

diff --git a/build/run-tests.sh b/build/run-tests.sh
index 6331ec2..2797ec3 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -540,10 +540,22 @@ do_test_once() {
             fi
         elif [[ "$2" == "pip" ]]
         then
-            # $3 can name a path directory for us to use, including trailing
-            # slash; e.g., the bin/ subdirectory of a virtualenv.
-            cd "$WORKSPACE/$1" \
-                && "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+            tries=0
+            cd "$WORKSPACE/$1" && while :
+            do
+                tries=$((${tries}+1))
+                # $3 can name a path directory for us to use, including trailing
+                # slash; e.g., the bin/ subdirectory of a virtualenv.
+                "${3}python" setup.py ${short:+--short-tests-only} test ${testargs[$1]}
+                result=$?
+                if [[ ${tries} < 3 && ${result} == 137 ]]
+                then
+                    printf '\n*****\n%s tests killed -- retrying\n*****\n\n' "$1"
+                    continue
+                else
+                    break
+                fi
+            done
         elif [[ "$2" != "" ]]
         then
             "test_$2"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list